#! /usr/bin/perl

#########################################################
#                                                       #
#  Group Mailer Version: 1.0A (Beta)                    #
#  Last Modified: 11-06-97                              #
#  Written By: David Tsai                               #
#  http://www.web-consult.com/paradise/                 #
#                                                       #
#########################################################
#                                                       #
#  Copyright  1997 David Tsai, Web Consultant.         #
#  Permission to use this script granted.  This script  #
#  shall not be redistributed in anyway without the     #
#  written consent of David Tsai.  This script shall    #
#  not be modified in any way without the written       #
#  consent of David Tsai, although you may modify       #
#  the variables in the designated areas                #
#                                                       #
#########################################################


#############################
#  Edit Variables Here
#

$mailprog = 'sendmail';
$base_dir = "/drv1/web/sites/webj1106/paradise/mailing-list";

#
#  Stop Editing Here
#############################

$arguments = @ARGV;

if($arguments < 2) {
    print "Usage incorrect\n";
    print "Usage: mail.cgi <Email Database> [Message File]\n";
    print "Read the readme.txt for more information\n";
    die;
}
($database, $message) = @ARGV;

if($database !~ /\//) {
    $database = "$base_dir/$database\.dat";
}

else {
    $database = "$database\.dat";
}

if($message !~ /\//) {
    $message = "$base_dir/$message";
}

open(DATA, "$database") || die "Can't open database: $database\n";
@lines =<DATA>;
close(DATA);

$junk = shift(@lines);

open(MSG, "$message") || die "Can't open file: $message\n";
@msg =<MSG>;
close(MSG);

foreach $msg (@msg) {
    $file = "$file$msg";
}

print "Please answer the following ...\n";
print "From:";
chop($from = <STDIN>);
print "Reply-to:";
chop($reply = <STDIN>);
print "Subject:";
chop($subject = <STDIN>);

print "Now sending mail to the following..\n";
foreach $line (@lines) {
    $line =~ s/\n//g;
    $body = $file;
    @pairs = split(/&/, $line);
    foreach $pair (@pairs) {
        ($name, $value) = split(/=/, $pair);
        $DAT{$name} = $value;
    }
    foreach $field (keys %DAT) {
        $body =~ s/\&$field\;/$DAT{$field}/gi;
    }
    open(MAIL, "|$mailprog -t") || die "Can't open mailprog: $mailprog\n";
    print MAIL "To: $DAT{'email'}\n";
    print MAIL "From: $from\n";
    print MAIL "Reply-To: $reply\n";
    print MAIL "Subject: $subject\n\n";
    print MAIL "$body\n";
    close(MAIL);

    print "$DAT{'email'}\n";
}

print "Done sending mail\n";
